aboutsummaryrefslogtreecommitdiffhomepage
path: root/debian/tests
diff options
context:
space:
mode:
authorGuido Günther <agx@sigxcpu.org>2015-10-19 19:33:24 +0200
committerGuido Günther <agx@sigxcpu.org>2015-10-19 20:53:27 +0200
commit34b4f6508230759246f0414161e22ef57bdac0c4 (patch)
tree314a89202ce696b75d9680004e916e040e9d0d19 /debian/tests
parentb632ad06c67cfe6dd19d9cf19639c2a439b5dfa0 (diff)
Add autopkgtest that builds a RPM of ourself
Diffstat (limited to 'debian/tests')
-rw-r--r--debian/tests/control4
-rwxr-xr-xdebian/tests/smoke-rpm18
2 files changed, 22 insertions, 0 deletions
diff --git a/debian/tests/control b/debian/tests/control
new file mode 100644
index 00000000..c8621515
--- /dev/null
+++ b/debian/tests/control
@@ -0,0 +1,4 @@
+Tests: smoke-rpm
+Depends: @,
+ python-rpm
+Restrictions: allow-stderr
diff --git a/debian/tests/smoke-rpm b/debian/tests/smoke-rpm
new file mode 100755
index 00000000..41b88288
--- /dev/null
+++ b/debian/tests/smoke-rpm
@@ -0,0 +1,18 @@
+#!/bin/sh
+
+set -e
+set -x
+
+git init .
+git add .
+git commit -m"Smoketest" -a
+cat <<EOF >> ~/.rpmmacros
+%python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; import sys; sys.stdout.write(get_python_lib().replace('dist-', 'site-'))")
+%python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; import sys; sys.stdout.write(get_python_lib(1).replace('dist-', 'site-'))")
+EOF
+
+# Build an RPM of ourselfes
+gbp buildpackage-rpm --git-packaging-dir=packaging/ -bb --nodeps
+
+rm -r .git ~/.rpmmacros
+